package com.yonge.cooleshow.portal.service;

import com.yonge.cooleshow.portal.domain.MemberBrandAttention;
import org.springframework.data.domain.Page;
import org.springframework.transaction.annotation.Transactional;

/**
 * 会员品牌关注管理Service
 * Created by macro on 2018/8/2.
 */
public interface MemberAttentionService {
    /**
     * 添加关注
     */
    @Transactional
    int add(MemberBrandAttention memberBrandAttention);

    /**
     * 取消关注
     */
    @Transactional
    int delete(Long brandId);

    /**
     * 获取用户关注列表
     */
    Page<MemberBrandAttention> list(Integer pageNum, Integer pageSize);

    /**
     * 获取用户关注详情
     */
    MemberBrandAttention detail(Long brandId);

    /**
     * 清空关注列表
     */
    @Transactional
    void clear();
}
